aboutsummaryrefslogtreecommitdiffstats
path: root/kubernetes/policy
diff options
context:
space:
mode:
authorAndreas Geissler <andreas-geissler@telekom.de>2023-08-16 17:18:49 +0200
committerAndreas Geissler <andreas-geissler@telekom.de>2023-09-29 13:42:29 +0200
commitcfd8434fe9484b9219560159094b174421d6d6a2 (patch)
tree0825b2650bb861444f18444f0279479e4dcbf7c4 /kubernetes/policy
parent533403925a6b60f4113c4d9e54cd99be36dc9cc5 (diff)
[MARIADB][COMMON] Add support for mariadb-operator
Add template functions for the mariadb-operator resources and update the mariadb-galera chart to support them Change the flag to "useOperator" in cassandra to the global setup and additional labels for cassandra resources Changed Policy DB users to support the new mariadb User and fixed db.sh script to wait for the DB user creation Use the new readiness image 5.0.1 with the "app-name" option Change the MariaDB-Galera Service to the "primary" to avoid Deadlocks Fix previous SDNC patch (https://gerrit.onap.org/r/c/oom/+/135308) and temporary disable MariaDB for SDNR, as it is not compatible to MariaDB 11 Issue-ID: OOM-3236 Change-Id: Ie63fcc9c6d5fa802d38c592b449e7ff8553c2ab9 Signed-off-by: Andreas Geissler <andreas-geissler@telekom.de>
Diffstat (limited to 'kubernetes/policy')
-rwxr-xr-xkubernetes/policy/components/policy-api/values.yaml2
-rw-r--r--kubernetes/policy/components/policy-clamp-runtime-acm/values.yaml2
-rwxr-xr-xkubernetes/policy/components/policy-drools-pdp/values.yaml2
-rwxr-xr-xkubernetes/policy/components/policy-pap/values.yaml2
-rwxr-xr-xkubernetes/policy/components/policy-xacml-pdp/values.yaml2
-rwxr-xr-xkubernetes/policy/resources/config/db.sh25
-rwxr-xr-xkubernetes/policy/templates/job.yaml2
-rwxr-xr-xkubernetes/policy/values.yaml7
8 files changed, 33 insertions, 11 deletions
diff --git a/kubernetes/policy/components/policy-api/values.yaml b/kubernetes/policy/components/policy-api/values.yaml
index c9ee8eb980..27d30e0aaf 100755
--- a/kubernetes/policy/components/policy-api/values.yaml
+++ b/kubernetes/policy/components/policy-api/values.yaml
@@ -56,7 +56,7 @@ debugEnabled: false
# application configuration
db:
- user: policy_user
+ user: policy-user
password: policy_user
service:
name: policy-mariadb
diff --git a/kubernetes/policy/components/policy-clamp-runtime-acm/values.yaml b/kubernetes/policy/components/policy-clamp-runtime-acm/values.yaml
index 83e4350e7d..34c128e343 100644
--- a/kubernetes/policy/components/policy-clamp-runtime-acm/values.yaml
+++ b/kubernetes/policy/components/policy-clamp-runtime-acm/values.yaml
@@ -82,7 +82,7 @@ kafkaTopic:
- name: *acRuntimeTopic
db:
- user: policy_user
+ user: policy-user
password: policy_user
service:
name: policy-mariadb
diff --git a/kubernetes/policy/components/policy-drools-pdp/values.yaml b/kubernetes/policy/components/policy-drools-pdp/values.yaml
index 9ef74e8d86..d2f1630934 100755
--- a/kubernetes/policy/components/policy-drools-pdp/values.yaml
+++ b/kubernetes/policy/components/policy-drools-pdp/values.yaml
@@ -101,7 +101,7 @@ nexus:
db:
name: policy-mariadb
- user: policy_user
+ user: policy-user
password: policy_user
pap:
diff --git a/kubernetes/policy/components/policy-pap/values.yaml b/kubernetes/policy/components/policy-pap/values.yaml
index 22428e7736..d52ff883aa 100755
--- a/kubernetes/policy/components/policy-pap/values.yaml
+++ b/kubernetes/policy/components/policy-pap/values.yaml
@@ -78,7 +78,7 @@ debugEnabled: false
# application configuration
db:
- user: policy_user
+ user: policy-user
password: policy_user
service:
name: policy-mariadb
diff --git a/kubernetes/policy/components/policy-xacml-pdp/values.yaml b/kubernetes/policy/components/policy-xacml-pdp/values.yaml
index d399cd5c4c..4cebf4f58c 100755
--- a/kubernetes/policy/components/policy-xacml-pdp/values.yaml
+++ b/kubernetes/policy/components/policy-xacml-pdp/values.yaml
@@ -58,7 +58,7 @@ debugEnabled: false
# application configuration
db:
- user: policy_user
+ user: policy-user
password: policy_user
service:
name: policy-mariadb
diff --git a/kubernetes/policy/resources/config/db.sh b/kubernetes/policy/resources/config/db.sh
index 36574bc1ad..d793a024df 100755
--- a/kubernetes/policy/resources/config/db.sh
+++ b/kubernetes/policy/resources/config/db.sh
@@ -17,12 +17,31 @@
# limitations under the License.
*/}}
-mysqlcmd() { mysql -h ${MYSQL_HOST} -P ${MYSQL_USER} "$@"; };
+mysqlcmd() { mysql -h ${MYSQL_HOST} -P ${MYSQL_PORT} "$@"; };
+i=5
+RESULT_VARIABLE=0
+echo "Check if user ${MYSQL_USER} is created in DB ${MYSQL_HOST}"
+while [ $i -gt 0 ] && [ "$RESULT_VARIABLE" != 1 ]
+do
+ i=$(( i-1 ))
+ RESULT_VARIABLE="$(mysqlcmd -uroot -p"${MYSQL_ROOT_PASSWORD}" -se "SELECT EXISTS(SELECT 1 FROM mysql.user WHERE user = '${MYSQL_USER}')")"
+ if [ "$RESULT_VARIABLE" = 1 ]; then
+ echo "User ${MYSQL_USER} exists"
+ else
+ echo "User ${MYSQL_USER} does not exist"
+ sleep 10
+ fi
+done
+if [ "$RESULT_VARIABLE" != 1 ]; then
+ exit 1
+fi
for db in migration pooling policyadmin policyclamp operationshistory clampacm
do
+ echo "Create DB ${db}"
mysqlcmd -uroot -p"${MYSQL_ROOT_PASSWORD}" --execute "CREATE DATABASE IF NOT EXISTS ${db};"
+ echo "Grand access for user ${MYSQL_USER}"
mysqlcmd -uroot -p"${MYSQL_ROOT_PASSWORD}" --execute "GRANT ALL PRIVILEGES ON \`${db}\`.* TO '${MYSQL_USER}'@'%' ;"
done
-
-mysql -uroot -p"${MYSQL_ROOT_PASSWORD}" --execute "FLUSH PRIVILEGES;"
+echo "Flush privileges"
+mysqlcmd -uroot -p"${MYSQL_ROOT_PASSWORD}" --execute "FLUSH PRIVILEGES;"
diff --git a/kubernetes/policy/templates/job.yaml b/kubernetes/policy/templates/job.yaml
index 2503c6fd5f..8161bc1963 100755
--- a/kubernetes/policy/templates/job.yaml
+++ b/kubernetes/policy/templates/job.yaml
@@ -41,7 +41,7 @@ spec:
imagePullPolicy: {{ .Values.global.pullPolicy | default .Values.pullPolicy }}
command:
- /app/ready.py
- - --container-name
+ - --app-name
- {{ index .Values "mariadb-galera" "service" "name" }}
env:
- name: NAMESPACE
diff --git a/kubernetes/policy/values.yaml b/kubernetes/policy/values.yaml
index 9027e490f0..b3b47439c4 100755
--- a/kubernetes/policy/values.yaml
+++ b/kubernetes/policy/values.yaml
@@ -212,7 +212,7 @@ config:
mariadb-galera:
# mariadb-galera.config and global.mariadb.config must be equals
db:
- user: policy_user
+ user: policy-user
# password:
externalSecret: *dbSecretName
name: &mysqlDbName policyadmin
@@ -222,6 +222,9 @@ mariadb-galera:
# mariadb-galera.service and global.mariadb.service must be equals
service: *mariadbService
replicaCount: 1
+ mariadbOperator:
+ galera:
+ enabled: false
persistence:
enabled: true
mountSubPath: policy/maria/data
@@ -244,7 +247,7 @@ postgres:
mountSubPath: policy/postgres/data
mountInitPath: policy
config:
- pgUserName: policy_user
+ pgUserName: policy-user
pgDatabase: policyadmin
pgUserExternalSecret: *dbSecretName
pgRootPasswordExternalSecret: *dbRootPassSecretName